Package wx :: Package lib :: Package masked :: Module textctrl :: Class TextCtrl

[frames | no frames]

## Type TextCtrl

               MaskedEditMixin --+
                                 |
    object --+                   |
             |                   |
        Object --+               |
                 |               |
        EvtHandler --+           |
                     |           |
                Window --+       |
                         |       |
                   Control --+   |
                             |   |
                      TextCtrl --+
                                 |
                BaseMaskedTextCtrl --+
                                     |
          MaskedEditAccessorsMixin --+
                                     |
                                    TextCtrl

The "user-visible" masked text control; it is identical to the BaseMaskedTextCtrl class it's derived from. (This extra level of inheritance allows us to add the generic set of masked edit parameters only to this class while allowing other classes to derive from the "base" masked text control, and provide a smaller set of valid accessor functions.) See BaseMaskedTextCtrl for available methods.

Method Summary

Property Summary

Class Variable Summary

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:04 2007 | http://epydoc.sf.net